Subject: bug#41481: Can't build glibc-mesboot0

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 23 May 2020 15:31:24 +0200

Hello Roel,

> I installed Guix System on my computer but I am facing two problems:
>
> 1. "guix pull" returns:
> Updating channel 'guix' from Git repository at '
> https://git.savannah.gnu.org/git/guix.git'...
> Building from these channels:
>   guix      https://git.savannah.gnu.org/git/guix.git	28e9a11
> guix pull: error: glibc-bootstrap-system-2.2.5.patch: patch not found
>
> I worked around that by doing:
> $ find /gnu/store -name "glibc-bootstrap-system-2.2.5.patch"
> $ mkdir ~/dummy; cd ~/dummy; ln -s <the-location-of-this-file>
> $ export GUIX_PACKAGE_PATH=~/dummy
>
> Is there a proper way to fix this?

This has been fixed by 179e6c524ae4957e6ace83f72a5651767f786ca4. I guess
that if you pull again it should be fixed.

> 2. Installing emacs fails because the build of glibc-mesboot0 fails
> with:
>
> patch: **** Can't open patch file
> /gnu/store/wcz8d4vkcjs7c6m56mz3lsbkxgvnb17v-glibc-bootstrap-system-
> 2.2.5.patcherror 02:  
> command "patch" "--force" "-p1" "-i"
> "/gnu/store/wcz8d4vkcjs7c6m56mz3lsbkxgvnb17v-glibc-bootstrap-system-
> 2.2.5.patch" failed with status 2

I don't know what forces a build of glibc-mesboot0, but this looks like:
https://lists.gnu.org/archive/html/bug-guix/2020-05/msg00335.html.

Is your store on an NVME disk, without encryption, by any chance?

Thanks,

Mathieu